Skip to main content
GET
/
payin
/
history
cURL
curl --request GET \
  --url https://sandbox.dollarpe.xyz/pis/api/v1/payin/history \
  --header 'X-API-KEY: <api-key>' \
  --header 'X-SIGNATURE: <api-key>' \
  --header 'X-TIMESTAMP: <api-key>'
{
  "status": true,
  "message": "Success",
  "data": {
    "count": 1,
    "next": null,
    "previous": null,
    "results": [
      {
        "id": "08441dd3-8cc0-405c-932b-7fdbc8894f66",
        "quotation_id": "08441dd3-8cc0-405c-932b-7fdbc8894f66",
        "customer_id": "dfd8db74-2fbb-46d1-9a93-b90f156e13b4",
        "client_reference_id": "testUser123",
        "bank_id": "e75f62f0-db9e-4904-8103-d6f14f67f5dc",
        "asset": "USDT",
        "fiat": "INR",
        "sending_amount": "10",
        "rate": "89.4",
        "receiveing_amount": "870",
        "fees": {
          "client_fee_fiat": 450,
          "client_fee_crypto": 5,
          "dollarpe_fee": 450,
          "pg_fee": 18,
          "client_gst_fiat": 81,
          "client_gst_crypto": 0.9,
          "dollarpe_gst": 81,
          "pg_gst": 81,
          "tds": 889.17,
          "gross_effective_exchange_rate": 88.92
        },
        "utr": "RATN0329SJDH0",
        "exchange_transfer_id": "",
        "status": "SUCCESS",
        "failure_reason": null,
        "refund_reason": null,
        "created_at": "2025-02-11T01:30:08.000Z",
        "updated_at": "2025-02-11T01:30:08.000Z"
      }
    ]
  }
}
API Status CodeResponseReason
500Internal Server Error.Internal Server Error

Authorizations

X-API-KEY
string
header
required

API Key for authentication

X-TIMESTAMP
string
header
required

Current timestamp in seconds since epoch

X-SIGNATURE
string
header
required

HMAC SHA256 signature of the request encoded in Base64

Query Parameters

payin_status
string

Filter payins by status (e.g., SUCCESS, FAILED, PROCESSING)

Example:

"SUCCESS"

customer_id
string<uuid>

Filter payins by customer ID

Example:

"dfd8db74-2fbb-46d1-9a93-b90f156e13b4"

start_date
string<date>

Filter payins created on or after this date (YYYY-MM-DD). Must be used together with end_date.

Example:

"2025-01-01"

end_date
string<date>

Filter payins created on or before this date (YYYY-MM-DD). Must be used together with start_date.

Example:

"2025-01-31"

Response

Payout history fetched successfully

status
boolean
Example:

true

message
string
Example:

"Success"

data
object